Qyra
ReferenceUntagged

Update AI review Jira routing

Update Jira routing for AI review issues

PUT/api/v1/aiAgents/admin/review-jira-routing

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "enabled": true,
  "applyToAllProjects": true,
  "projectUuids": [
    "string"
  ],
  "jiraProjectId": "string",
  "jiraIssueTypeId": "string"
}

Responses

200 — Ok

{
  "results": {
    "jiraIssueTypeId": "string",
    "jiraProjectId": "string",
    "enabled": true,
    "projectUuids": [
      "string"
    ],
    "applyToAllProjects": true,
    "organizationUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}